ompi/mca/pml/base/pml_base_module_exchange.h File Reference.TH "ompi/mca/pml/base/pml_base_module_exchange.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/base/pml_base_module_exchange.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_base_modex_send\fP (\fBmca_base_component_t\fP *source_component, const void *buffer, size_t size)"
.br
.RI "\fISend a module-specific buffer to all other corresponding MCA modules in peer processes. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_base_modex_recv\fP (\fBmca_base_component_t\fP *dest_component, struct ompi_proc_t *source_proc, void **buffer, size_t *size)"
.br
.RI "\fIReceive a module-specific buffer from a corresponding MCA module in a specific peer process. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_base_modex_exchange\fP (void)"
.br
.RI "\fISubscribe to the segment corresponding to this job. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_base_modex_init\fP (void)"
.br
.RI "\fIInitialize global state. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_base_modex_finalize\fP (void)"
.br
.RI "\fICleanup global state. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int mca_pml_base_modex_recv (\fBmca_base_component_t\fP * dest_component, struct ompi_proc_t * source_proc, void ** buffer, size_t * size)"
.PP
Receive a module-specific buffer from a corresponding MCA module in a specific peer process. 
.PP
\fBParameters:\fP
.RS 4
\fIdest_component\fP A pointer to this module's component struct (i.e., \fBmca_base_component_t\fP instance). 
.br
\fIsource_proc\fP Peer process to receive from. 
.br
\fIbuffer\fP A pointer to a (void*) that will be filled with a pointer to the received buffer. 
.br
\fIsize\fP Pointer to a size_t that will be filled with the number of bytes of each instance in the buffer. 
.br
\fIcount\fP Pointer to an int that will be filled with the number of instances in the buffer.
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIOMPI_SUCCESS\fP If a corresponding module buffer is found and is successfully returned to the caller. 
.br
\fIOMPI_ERR_OUT_OF_RESOURCE\fP If no corresponding module buffer is found, or if an error occurs wil returning the buffer to the caller.
.RE
.PP
This is the corresponding 'get' call to \fBmca_pml_base_modex_send()\fP. After selection, modules can call this function to receive the buffer sent by their corresponding module on the process source_proc.
.PP
If a buffer from a corresponding module is found, buffer will be filled with a pointer to a copy of the buffer that was sent by the peer process. It is the caller's responsibility to free this buffer. size will be filled in with the number of instances in the buffer, and count will be filled in with the number of instances. The total number of bytes in the buffer is (size * count). See the explanation in \fBmca_pml_base_modex_send()\fP for why the number of bytes is split into two parts. 
.SS "struct OMPI_DECLSPEC int mca_pml_base_modex_send (\fBmca_base_component_t\fP * source_component, const void * data, size_t size)"
.PP
Send a module-specific buffer to all other corresponding MCA modules in peer processes. 
.PP
Note that the gpr is in a mode where it caches individual puts during startup and sends them as an aggregate command. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
